using System;
using Microsoft.Win32;





namespace MioStar_GUI
{
    class RegFUnctions
    {
        public static void SetValue(string pSubKey, string pValue)
        {
            RegistryKey regKey = Registry.CurrentUser;

            regKey = regKey.CreateSubKey("Software\\Megapanzer\\MioStar\\");
            regKey.SetValue(pSubKey, pValue);
            regKey.Close();
        }




        public static string GetValue(string pSubKey)
        {
            string lRetVal = "";
            Object lTmpObj = null;
            RegistryKey regKey = Registry.CurrentUser;

            regKey = regKey.OpenSubKey("Software\\Megapanzer\\MioStar\\");
            lTmpObj = regKey.GetValue(pSubKey);

            if (lTmpObj != null)
                lRetVal = lTmpObj.ToString();

            regKey.Close();

            return (lRetVal);
        }
    }


}